<?php

namespace External\PompoBundle\DataGo\Synchronizer;

interface SynchronizerInterface
{
    public const MODE_NORMAL = 0;
    public const MODE_CSV = 1;

    public static function getType(): string;

    public function setMode(int $mode): void;

    public function process(): void;
}
